---
# SPDX-FileCopyrightText: Copyright (c) 2025-2026 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: Apache-2.0
title: Device Kind
---

Represents the kind of device a [`Device`](device.md) object represents.


## Values

### `CUDA`

CUDA addressable device (GPU) memory.

### `HOST`

System (CPU) memory.


## Related Classes

  - [Connector](connector.md)
  - [Descriptor](descriptor.md)
  - [Device](device.md)
  - [OperationStatus](operation-status.md)
  - [RdmaMetadata](rdma-metadata.md)
  - [ReadOperation](read-operation.md)
  - [WritableOperation](writable-operation.md)
  - [WriteOperation](write-operation.md)
